> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Tendencias

> Devuelve los temas en tendencia del WOEID (identificador de ubicación) especificado. Cada tendencia incluye su nombre y la consulta de búsqueda para esa región. Permite monitorizar temas populares por ubicación.



## OpenAPI

````yaml /openapi-es.json get /trends
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /trends:
    get:
      tags:
        - Publicaciones
      summary: Tendencias
      description: >-
        Devuelve los temas en tendencia del WOEID (identificador de ubicación)
        especificado. Cada tendencia incluye su nombre y la consulta de búsqueda
        para esa región. Permite monitorizar temas populares por ubicación.
      parameters:
        - description: >-
            WOEID (Where On Earth IDentifier) de la ubicación cuyas tendencias
            quieres consultar. Lista de WOEID:
            https://gist.github.com/tedyblood/5bb5a9f78314cc1f478b3dd7cde790b9
          in: query
          name: woeid
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.TrendsResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Solicitud incorrecta
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Acceso prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No encontrado
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Error interno del servidor
      security:
        - ApiKeyAuth: []
components:
  schemas:
    common.TrendsResponse:
      properties:
        trends:
          items:
            $ref: '#/components/schemas/common.Trend'
          type: array
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
    common.Trend:
      properties:
        name:
          type: string
        query:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````